---
title: "E-mail"
date: 2023-01-11T17:10:29+03:00
description: >
  Self-hosted e-mail service
---

E-mail is a time-tested protocol that needs no introduction. A personal mail server will provide special privacy for all correspondence and is useful for registering in online services and personal correspondence, especially for [Delta.Chat]({{< ref "delta-chat.md" >}}).


## Authentication

Users from the "users" tab of your app are used.

### Connection configuration

Login must the username with the domain. For example, `user@domain.tld`.

#### SMTP
SMTP Server: `your domain`

SMTP Port: `587`

Authentication: `STARTLS`

Username: `your username @ your domain` (your full email address)

#### IMAP

IMAP Server: `your domain`

IMAP Port: `143`

Authentication: `STARTLS`

Username: `your username @ your domain` (your full email address)


## Recommended E-mail Clients

- [Mozilla Thunderbird](https://www.thunderbird.net) (GNU/Linux, Windows, MacOS)
- [FairEmail](https://f-droid.org/packages/eu.faircode.email/) (Android)

Configuration example for [Mozilla Thunderbird](https://www.thunderbird.net)
{{< imgproc thunderbird Fill "1000x950">}}
{{< /imgproc >}}


## Tips

#### Alias for addresses
Use aliases for questionable services or one-time needs.

Messages for `user+alias@domain.com` will go to `user@domain.com`. It can be useful for spam origin analysis if a unique alias is used for each online service when registering. 
For example, `bank+user@domain.com`, `cryptoexchenge+user@domain.com`, and so on.

#### Directory Filter
Create directories of filters for different purposes. This will help protect against phishing and clogging your inbox. 
The message for `user-dir@domain.com` will create a `dir` directory in the `user@domain.com` mailbox and all mail will arrive in the `dir` directory.

Examples:
  - `user-w@domain.com` - for registering with web services
  - `user-shops` - for web-stores
  - `user-pay` - payment systems
  - `user-forum` - forum notifications

## Features
- Email is over 50 years old. In IT, this is a sign of maturity and reliability of the technology.
- Email is the most popular way to get infected with viruses (after hacked software and cracks).
- Beware of phishing (fraudulent emails), it can rob you of your savings and control over your digital life.